const formatTime = date => {
  const year = date.getFullYear()
  const month = date.getMonth() + 1
  const day = date.getDate()
  const hour = date.getHours()
  const minute = date.getMinutes()
  const second = date.getSeconds()

  return `${[year, month, day].map(formatNumber).join('/')} ${[hour, minute, second].map(formatNumber).join(':')}`
}
const formatDate = date => {
  const year = date.getFullYear()
  const month = date.getMonth() + 1
  const day = date.getDate()
  return `${[year, month, day].map(formatNumber).join('-')} `
}

const formatNumber = n => {
  n = n.toString()
  return n[1] ? n : `0${n}`
}
const simleInfo = msg => {
  wx.showModal({
    title: '提示',
    content: msg,
    showCancel: false,
    success(res) {
    }
  })
}
const simleInfoWithBack = msg => {
  wx.showModal({
    title: '提示',
    content: msg,
    showCancel: false,
    success(res) {
      wx.navigateBack({})
    }
  })
}

function formatDateToYMD(dateString) {
  if (!dateString) return '';
  
  try {
    const date = new Date(dateString);
    const year = date.getFullYear();
    const month = String(date.getMonth() + 1).padStart(2, '0');
    const day = String(date.getDate()).padStart(2, '0');
    return `${year}年${month}月${day}日`;
  } catch (e) {
    console.error('日期格式化错误:', e);
    return dateString; // 返回原字符串或自定义错误提示
  }
}

module.exports = {
  simleInfo: simleInfo,
  simleInfoWithBack: simleInfoWithBack,
  formatNumber: formatNumber,
  formatTime: formatTime,
  formatDate: formatDate,
}
